> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Nano Banana 2 Lite

> Nano Banana 2 Lite API 根据文本生成图像或编辑参考图。它是快速的 Gemini 3.1 Flash Lite Image 模型，可显式设置输出宽高比。

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.poyo.ai/zh/api-manual/task-management/status.md)接口获取结果。

Nano Banana 2 Lite 是 Google 速度最快、性价比最高的 Gemini Image 模型，对应 Gemini 3.1 Flash Lite Image。它适用于快速构思、低延迟创意草稿、高吞吐量生成，以及对速度和成本最敏感的规模化图像流水线。

## 模型

* **nano-banana-2-lite** - 文生图
* **nano-banana-2-lite-edit** - 基于参考图的图像编辑

## 必填参数

* `prompt` - 必填。用于生成或编辑图像的文本指令。

## 可选参数

* `image_urls` - `nano-banana-2-lite-edit` 必填。`nano-banana-2-lite` 不支持。
* `size` - 可选宽高比。省略时不指定明确的输出宽高比。

支持的 `size` 值：`1:1`、`2:3`、`3:2`、`3:4`、`4:3`、`4:5`、`5:4`、`9:16`、`16:9`、`21:9`。

## 示例

### 文生图示例

```json theme={"dark"}
{
  "model": "nano-banana-2-lite",
  "callback_url": "https://your-domain.com/callback",
  "input": {
    "prompt": "A small red cube on a plain white background",
    "size": "1:1"
  }
}
```

### 图像编辑示例

```json theme={"dark"}
{
  "model": "nano-banana-2-lite-edit",
  "callback_url": "https://your-domain.com/callback",
  "input": {
    "prompt": "Change the background to a clean pale blue studio backdrop",
    "image_urls": ["https://example.com/source-image.png"],
    "size": "1:1"
  }
}
```


## OpenAPI

````yaml zh/api-manual/image-series/nano-banana-2-lite.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - Nano Banana 2 Lite API
  description: Nano Banana 2 Lite 图像生成与图像编辑 API
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Nano Banana 2 Lite
      summary: 提交 Nano Banana 2 Lite 图像任务
      description: 根据提示词生成图像，或使用参考图像 URL 编辑图像。
      operationId: submitNanoBanana2LiteTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              nano-banana-2-lite:
                summary: Nano Banana 2 Lite 图像生成
                value:
                  model: nano-banana-2-lite
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: A small red cube on a plain white background
                    size: '1:1'
              nano-banana-2-lite-edit:
                summary: Nano Banana 2 Lite 图像编辑
                value:
                  model: nano-banana-2-lite-edit
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: Change the background to a clean pale blue studio backdrop
                    image_urls:
                      - https://example.com/source-image.png
                    size: '1:1'
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '400':
          description: 请求参数无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: 400
                error:
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未授权：API Key 无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: 401
                error:
                  message: Unauthorized - Invalid API key
                  type: authentication_error
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          description: Nano Banana 2 Lite 模型标识
          enum:
            - nano-banana-2-lite
            - nano-banana-2-lite-edit
        callback_url:
          type: string
          format: uri
          description: 接收结果通知的 Webhook 回调 URL
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - prompt
          description: >-
            输入参数。`image_urls` 对 `nano-banana-2-lite-edit`
            必填，`nano-banana-2-lite` 不支持该字段。
          properties:
            prompt:
              type: string
              description: 生成或编辑图像的文本指令
              example: A small red cube on a plain white background
            image_urls:
              type: array
              items:
                type: string
                format: uri
              description: 参考图像 URL。`nano-banana-2-lite-edit` 必填。`nano-banana-2-lite` 不支持。
              minItems: 1
              maxItems: 14
              example:
                - https://example.com/source-image.png
            size:
              type: string
              description: 可选的输出图像宽高比。省略时不指定输出宽高比。
              enum:
                - '1:1'
                - '2:3'
                - '3:2'
                - '3:4'
                - '4:3'
                - '4:5'
                - '5:4'
                - '9:16'
                - '16:9'
                - '21:9'
              example: '1:1'
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
              description: 任务唯一标识，用于查询任务状态
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              example: not_started
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              example: '2026-07-01T10:30:00'
              description: 任务创建时间，ISO 8601 格式
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        error:
          type: object
          properties:
            message:
              type: string
              description: 错误信息
            type:
              type: string
              description: 错误类型
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.